commit:     f120083ff0642fc8e1d40e95652fb99b74e0482e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 21 21:57:20 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jul 21 21:59:14 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f120083f

net-dns/nsd: Bump to version 4.1.17

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 net-dns/nsd/Manifest          |   1 +
 net-dns/nsd/nsd-4.1.17.ebuild | 101 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/net-dns/nsd/Manifest b/net-dns/nsd/Manifest
index 194036079f8..a66586b9678 100644
--- a/net-dns/nsd/Manifest
+++ b/net-dns/nsd/Manifest
@@ -1,3 +1,4 @@
 DIST nsd-4.1.14.tar.gz 1086818 SHA256 
bdfc61c5f3bf11febd8f4776eef1d4f2d95ed70f12f11d4eeee943c186ffd802 SHA512 
25d16a6c3e4515129f0ad4f9ab0bf6ebe12bd817cd6107d66cb99aff6b6984f5153d9b502013492cfdd907d5fad9a284583c8436b559ef4c0cce5a1176a4aff3
 WHIRLPOOL 
64b14e53a13ff379b665c3d76298f4616b05777694b51aa3a6541be7b2c0d6b283fe6f069dec752241393b3e8795ce048ee935f614db39d221962a2d86a693f2
 DIST nsd-4.1.15.tar.gz 1087383 SHA256 
494a862cfcd26a525a4bf06306eb7ab0387b34678ac6d37767507438e3a23a4b SHA512 
1011e4805d43931dd1a7fed230dadd9eb9bdf7a6728cb5bbde2def462d3bdc2ed79529ef0c60a6530e6fb78ae88a03a50d8b75b27d9130966ca20a62d8a6615e
 WHIRLPOOL 
85a01ecb7c25e557d73e40dfbc881453020fbc20eabb50ffb47d94128e86de3861053425635b438ef86ed261dacf03a040f90d4e143726b765abc790a1c5944c
 DIST nsd-4.1.16.tar.gz 1088633 SHA256 
7f8367ad23cc5cddffa885e7e2f549123c8b4123db9726df41d99f255d6baab2 SHA512 
51135bbf412cdc5d6d9be02af9fef16513f0529155c102debfd6bd68b025d289c684777a8fca57de86b25f68bc94aef89d2cfefb871b8d63048d262f6c8eb8e3
 WHIRLPOOL 
030da2551abef8cb29e16574155605eb9377836f1a43422e200ba5bc6ede319893d4293018cf0be242d1ac0cfad4c3b40f566c7ad587792186c64102d8c9785f
+DIST nsd-4.1.17.tar.gz 1089526 SHA256 
107fa506d18ed6fd0a922d1b96774afd9270ec38ec6b17cd7c46fb9433a03a6c SHA512 
4cffa261b1832d0daac095e92542359ffd725918f07ec605c78a9346b1cf4a4bc21bdc59ab388eb7324a170bbd8b122cfa75e7448015b38572b47d18add24a8f
 WHIRLPOOL 
c8892dca5f5c625d435cfde3f556ccc7518f3e37b7242892f9c101f4ffa5da1a2ea09083a30942bb1dad91ab70b40b2647339b2a4988f08478db9b6dd2b1c3df

diff --git a/net-dns/nsd/nsd-4.1.17.ebuild b/net-dns/nsd/nsd-4.1.17.ebuild
new file mode 100644
index 00000000000..23775fc7584
--- /dev/null
+++ b/net-dns/nsd/nsd-4.1.17.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user systemd
+
+DESCRIPTION="An authoritative only, high performance, open source name server"
+HOMEPAGE="http://www.nlnetlabs.nl/projects/nsd";
+# version voodoo needed only for non-release tarballs: 4.0.0_rc1 => 4.0.0rc1
+MY_PV=${PV/_rc/rc}
+MY_PV=${MY_PV/_beta/b}
+MY_P=${PN}-${MY_PV}
+S="${WORKDIR}/${MY_P}"
+SRC_URI="http://www.nlnetlabs.nl/downloads/${PN}/${MY_P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bind8-stats ipv6 libevent minimal-responses mmap munin +nsec3 ratelimit 
root-server runtime-checks ssl libressl"
+
+RDEPEND="
+       virtual/yacc
+       libevent? ( dev-libs/libevent )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+       munin? ( net-analyzer/munin )
+"
+DEPEND="
+       ${RDEPEND}
+       sys-devel/flex
+"
+
+src_prepare() {
+       # Fix the paths in the munin plugin to match our install
+       eapply "${FILESDIR}"/nsd_munin_.patch
+       eapply_user
+}
+
+src_configure() {
+       local myeconfargs=(
+               --enable-pie
+               --enable-relro-now
+               --enable-largefile
+               --with-logfile="${EPREFIX}"/var/log/nsd.log
+               --with-pidfile="${EPREFIX}"/run/nsd/nsd.pid
+               --with-dbfile="${EPREFIX}"/var/db/nsd/nsd.db
+               --with-xfrdir="${EPREFIX}"/var/db/nsd
+               --with-xfrdfile="${EPREFIX}"/var/db/nsd/xfrd.state
+               --with-zonelistfile="${EPREFIX}"/var/db/nsd/zone.list
+               --with-zonesdir="${EPREFIX}"/var/lib/nsd
+               $(use_enable bind8-stats)
+               $(use_enable bind8-stats zone-stats)
+               $(use_enable ipv6)
+               $(use_enable minimal-responses)
+               $(use_enable mmap)
+               $(use_enable nsec3)
+               $(use_enable ratelimit)
+               $(use_enable root-server)
+               $(use_enable runtime-checks checking)
+               $(use_with libevent)
+               $(use_with ssl)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       dodoc 
doc/{ChangeLog,CREDITS,NSD-4-features,NSD-FOR-BIND-USERS,README,RELNOTES,REQUIREMENTS}
+
+       newinitd "${FILESDIR}"/nsd.initd-r1 nsd
+
+       # install munin plugin and config
+       if use munin ; then
+               exeinto /usr/libexec/munin/plugins
+               doexe contrib/nsd_munin_
+               insinto /etc/munin/plugin-conf.d
+               newins "${FILESDIR}"/nsd.munin-conf nsd_munin
+       fi
+
+       systemd_dounit "${FILESDIR}"/nsd.service
+
+       # remove the /run directory that usually resides on tmpfs and is
+       # being taken care of by the nsd init script anyway (checkpath)
+       rm -r "${ED}"/run || die "Failed to remove /run"
+}
+
+pkg_postinst() {
+       # Do this in postinst to ensure the uid/gid is consistent for binpkgs
+       enewgroup nsd
+       enewuser nsd -1 -1 -1 nsd
+
+       # database directory, writable by nsd for database updates and zone 
transfers
+       install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/db/nsd
+
+       # zones directory, writable by nsd for zone file updates (nsd-control 
write)
+       install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/lib/nsd
+}

Reply via email to